package it.unibo.cs.labp.progetto2001.solmi;

import it.unibo.cs.labp.progetto2001.spec.Literal;

import java.io.*;

/**
 * @author Riccardo Solmi
 */

public class IntegerLiteral implements Literal {
	private int val;

	public IntegerLiteral(int val) {
		this.val = val;
	}

	public Literal evaluate() {
		return this;
	}
	public void prettyPrint(PrintStream out) {
		out.print(val);
	}

	public int intValue() {
		return val;
	}
	public boolean booleanValue() {
		throw new IllegalArgumentException();
	}

	public String toString() {
		return String.valueOf(val);
	}
}