package it.unibo.cs.labp.progetto2001.solmi;

import java.io.*;
import it.unibo.cs.labp.progetto2001.spec.*;

/**
 * @author Riccardo Solmi
 */

public class BlockStatement implements Statement {
	private Statement[] stm;

	public BlockStatement(Statement[] stm) {
		this.stm = stm;
	}

	public void prettyPrint(PrintStream out) {
		for (int i = 0; i < stm.length; i++)
			stm[i].prettyPrint(out);
	}

	public void execute() {
		for (int i = 0; i < stm.length; i++)
			stm[i].execute();
	}
}