package it.unibo.cs.labp.progetto2001.solmi;

import java.io.*;
import it.unibo.cs.labp.progetto2001.spec.*;

/**
 * @author Riccardo Solmi
 */

public class NotExpression implements Expression {
	private Expression exp;

	public NotExpression(Expression exp) {
		this.exp = exp;
	}

	public void prettyPrint(PrintStream out) {
		out.print(" ! ");
		exp.prettyPrint(out);
	}

	public Literal evaluate() {
		return new BooleanLiteral(exp.evaluate().booleanValue());
	}
}